%global src_repo_tag   R2.3.4.v20100807
%global eclipse_base   %{_libdir}/eclipse
%global install_loc    %{_datadir}/eclipse/dropins/avr

Summary:		Eclipse AVR plugin.
Name:			eclipse-avr
Version:		2.3.4
Release:		3%{?dist}
Summary:		AVR Eclipse Plugin Sources

Group:			Development/Tools
License:		GPLv3+
URL:			http://avr-eclipse.sourceforge.net

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# svn export https://avr-eclipse.svn.sourceforge.net/svnroot/avr-eclipse/tags/R2.3.4.20100807
# tar -czf eclipse-avr.tar.gz R2.3.4.20100807
Source0:		%{name}.tar.gz

BuildArch:		noarch

BuildRequires:	eclipse-pde >= 1:3.4.0
BuildRequires:	eclipse-cdt >= 4.0.0
Requires:		eclipse-platform >= 3.4.0
Requires:		eclipse-cdt >= 4.0.0

# AVR Toolchain + Programmer
Requires:		avr-gcc
Requires:		avr-libc
Requires:		avr-binutils
Requires:		avr-gdb
Requires:		avrdude

%description
The Eclipse AVR plugin includes AVR Toolchain and enables AVR development. 

%prep
%setup -q -c

%build
%{eclipse_base}/buildscripts/pdebuild -f de.innot.avreclipse -dcdt
%{eclipse_base}/buildscripts/pdebuild -f de.innot.avreclipse.sdk

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/de.innot.avreclipse.zip 

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/de.innot.avreclipse.sdk.zip 

%files
%{install_loc}
%doc R2.3.4.20100807/de.innot.avreclipse-feature/licence.html
%doc R2.3.4.20100807/de.innot.avreclipse-feature/releasenotes.txt

%changelog
* Tue Jul 19 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 2.3.4-3
- Added eclipse-cdt to BuildRequires.

* Fri Jul 15 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 2.3.4-2
- Description length fixed to < 80 characters.
- License fixed to GPLv3+.
- License files added in doc section. 

* Fri Jul 8 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 2.3.4-1
- Package created. Includes all AVR related packages necessary for development. 
